Unit Errors;

Interface

function NlErrorMsg(ErrorCode: Integer): ShortString;

Implementation

uses Windows, SysUtils {IntToStr functie};

function NlErrorMsg(ErrorCode: Integer): ShortString;
var S: String;
begin
  Case
    ErrorCode of
      ERROR_INVALID_FUNCTION : S := 'Foutieve functie';// The function is incorrect.
      ERROR_FILE_NOT_FOUND : S := 'Bestand niet gevonden';// The system cannot find the file specified.
      ERROR_PATH_NOT_FOUND : S := 'Pad niet gevonden';// The system cannot find the path specified.
      ERROR_TOO_MANY_OPEN_FILES : S := 'Er zijn teveel bestanden geopend';// The system cannot open the file.
      ERROR_ACCESS_DENIED  : S := 'Toegang geweigerd';// Access is denied.
      ERROR_INVALID_HANDLE : S := 'Ongeldige handle';// The handle is invalid.
      ERROR_INVALID_DRIVE : S := 'Ongeldig station';// The system cannot find the drive specified.
      ERROR_CURRENT_DIRECTORY : S := 'De huidige folder kan niet worden verwijderd';// The directory cannot be removed.
      ERROR_NOT_SAME_DEVICE : S := 'Kan bestand niet hernoemen naar ander station';// The system cannot move the file to a different disk drive.
      ERROR_NO_MORE_FILES : S := 'Er zijn geen bestanden meer';// There are no more files.
      ERROR_WRITE_PROTECT : S := 'Het medium is schrijfbeveiligd';// The media is write-protected.
      ERROR_BAD_UNIT  : S := 'Het systeem kan het apparaat niet vinden';// The system cannot find the device specified.
      ERROR_NOT_READY : S := 'Het apparaat is niet klaar';// The device is not ready.
      ERROR_BAD_COMMAND : S := 'Het apparaat herkent deze opdracht niet';// The device does not recognize the command.
      ERROR_CRC : S := 'Een gegevensfout (CRC fout) is opgetreden';// A data error (cyclic redundancy check) has occurred.
      ERROR_SEEK : S := 'Fout bij zoeken in bestand';// The drive cannot locate a specific area or track on the disk.
      ERROR_NOT_DOS_DISK : S := 'Het station is niet toegankelijk';// The specified disk or diskette cannot be accessed.
      ERROR_SECTOR_NOT_FOUND : S := 'Sector niet gevonden';// The drive cannot find the sector requested.
      ERROR_OUT_OF_PAPER : S := 'Het papier is op';// The printer is out of paper.
      ERROR_WRITE_FAULT : S := 'Het systeem kan niet naar het opgegeven apparaat schrijven';// The system cannot write to the specified device.
      ERROR_READ_FAULT : S := 'Het systeem kan niet van het opgegeven apparaat lezen';// The system cannot read from the specified device.
      ERROR_GEN_FAILURE : S := 'Algemene fout';// A device attached to the system is not functioning.
      ERROR_SHARING_VIOLATION : S := 'Share fout';// The process cannot access the file because another process is using it.
      ERROR_LOCK_VIOLATION : S := 'Lock fout';// The process cannot access the file because another process has locked a portion of the file.
      ERROR_WRONG_DISK : S := 'De verkeerde diskette zit in het station';// The wrong diskette is in the drive. Insert %2 (Volume Serial Number: %3) into drive %1.
      ERROR_SHARING_BUFFER_EXCEEDED : S := 'Er zijn teveel bestanden geopend voor share';// Too many files have been opened for sharing.
      ERROR_HANDLE_EOF : S := 'Leespoging voorbij het eind van het bestand';// The end of the file has been reached.
      ERROR_HANDLE_DISK_FULL : S := 'De schijf is vol';// The disk is full.
      ERROR_NOT_SUPPORTED : S := 'De netwerk aanvraag wordt niet ondersteund';// The network request is not supported.
      ERROR_REM_NOT_LIST : S := 'De remote computer is niet beschikaar';// The remote computer is not available.
      ERROR_DUP_NAME : S := 'Een zelfde naam bestaat al op het netwerk';// A duplicate name exists on the network.
      ERROR_BAD_NETPATH : S := 'Het netwerkpad is niet gevonden';// The network path was not found.
      ERROR_NETWORK_BUSY  : S := 'Het netwerk is bezet';// The network is busy.
      ERROR_DEV_NOT_EXIST : S := 'Het netwerk apparaat is niet langer beschikbaar';// The specified network resource or device is no longer available.
      ERROR_ADAP_HDW_ERR : S := 'Netwerk adapterfout';// A network adapter hardware error occurred.
      ERROR_UNEXP_NET_ERR : S := 'Onverwachte netwerkfout';// An unexpected network error has occurred.
      ERROR_PRINTQ_FULL : S := 'De printerwachtlijst is vol';// The printer queue is full.
      ERROR_NO_SPOOL_SPACE : S := 'De printerspool is vol';// Space to store the file waiting to be printed is not available on the server.
      ERROR_PRINT_CANCELLED : S := 'De printopdracht is geannuleerd';// Your file waiting to be printed was deleted.
      ERROR_NETNAME_DELETED : S := 'De netwerknaam is niet langer geldig';// The specified network name is no longer available.
      ERROR_NETWORK_ACCESS_DENIED : S := 'De toegang tot het netwerk is geweigerd';// Network access is denied.
      ERROR_BAD_NET_NAME : S := 'Het netwerk kan niet worden gevonden';// The network name cannot be found.
      ERROR_SHARING_PAUSED : S := 'De server is gestopt';// The remote server has been paused or is in the process of being started.
      ERROR_REQ_NOT_ACCEP : S := 'Kan geen verbinding maken met deze remote computer';// No more connections can be made to this remote computer at this time because there are already as many connections as the computer can accept.
      ERROR_FILE_EXISTS : S := 'Het bestand bestaat al';// The file exists.
      ERROR_CANNOT_MAKE : S := 'Kan de map of het bestand niet aanmaken';// The directory or file cannot be created.
      ERROR_FAIL_I24 : S := 'INT 24 fout';// A failure has occurred on INT 24.
      ERROR_INVALID_PARAMETER : S := 'Incorrecte parameter';// The parameter is incorrect.
      ERROR_NET_WRITE_FAULT : S := 'Er is een schrijfout op het netwerk opgetreden';// A write fault occurred on the network.
      ERROR_DRIVE_LOCKED : S := 'De schijf is in gebruik of gelocked door een ander proces';// The disk is in use or locked by another process.
      ERROR_OPEN_FAILED : S := 'Kan het bestand niet openen';// The system cannot open the device or file specified.
      ERROR_BUFFER_OVERFLOW : S := 'De bestandsnaam  is te lang';// The filename is too long.
      ERROR_DISK_FULL : S := 'De schijf is vol';// The disk does not contain enough space.
      ERROR_NO_MORE_SEARCH_HANDLES : S := 'Niet genoeg handles voor zoekopdracht';// No more internal file identifiers are available.
      ERROR_INVALID_CATEGORY : S := 'Ongeldige IOTCL call';// The IOCTL call made by the application program is not correct.
      ERROR_INSUFFICIENT_BUFFER : S := 'Ongeldige buffer';// The data area passed to a system call is too small.
      ERROR_INVALID_NAME : S := 'De opgegeven naam is ongeldig';// The filename, directory name, or volume label syntax is incorrect.
      ERROR_NO_VOLUME_LABEL : S := 'De schijf heeft geen naam';// The disk has no volume label.
      ERROR_NEGATIVE_SEEK : S := 'Zoekopdracht voor begin van het bestand';// An attempt was made to move the file pointer before the beginning of the file.
      ERROR_DIR_NOT_EMPTY : S := 'De map is niet leeg';// The directory is not empty.
      ERROR_LABEL_TOO_LONG : S := 'De opgegeven naam is te lang';// The volume label you entered exceeds the 11-character limit. The first 11 characters were written to disk. Any characters that exceeded the 11-character limit were automatically deleted.
      ERROR_BAD_PATHNAME : S := 'Ongeldige padnaam';// The specified path is invalid.
      ERROR_INVALID_SEGMENT_NUMBER : S := 'Ongeldig segmentnummer';// The system detected a segment number that was not correct.
      ERROR_ALREADY_EXISTS : S := 'Kan geen bestand aanmaken dat al bestaat';// Cannot create a file when that file already exists.
      ERROR_FILENAME_EXCED_RANGE : S := 'De bestandsnaam of de uitgang is te lang';// The filename or extension is too long.
      ERROR_DIRECTORY : S := 'Ongeldige mapnaam';// The directory name is invalid.
      ERROR_UNRECOGNIZED_VOLUME : S := 'Het station bevat geen geldig bestandssysteem';// The volume does not contain a recognized file system. Make sure that all required file system drivers are loaded and that the volume is not corrupt.
      ERROR_MEDIA_CHANGED : S := 'De inhoud van het station is mogelijk veranderd';// The media in the drive may have changed.
      ERROR_NO_MEDIA_IN_DRIVE : S := 'Het station is leeg';// No media was in the drive.
      ERROR_FLOPPY_UNKNOWN_ERROR : S := 'Onbekende floppy fout';// The floppy disk controller reported an error that the floppy disk driver does not recognize.
      ERROR_FLOPPY_BAD_REGISTERS : S := 'Floppy registerfout';// The floppy disk controller returned inconsistent results in its registers.
      ERROR_DISK_RECALIBRATE_FAILED : S := 'Recalibratiefout';// During a hard disk access, a recalibrate operation failed, even after retries.
      ERROR_DISK_OPERATION_FAILED : S := 'Onbekende schijffout';// During a hard disk access, a disk operation failed, even after retries.
      ERROR_DISK_RESET_FAILED : S := 'Fout bij resetten van de harde schijf';// During a hard disk access, a disk controller reset was needed, but even that failed.
      ERROR_NOT_CONNECTED : S := 'De netwerkverbinding bestaat niet';// This network connection does not exist.
      else S := 'Onbekende fout: ' + IntToStr(ErrorCode);
    end;//case
  Result := S;
end;

end.


(*

Win32_Error_Codes Constant_Value Description
ERROR_SUCCESS 0 The operation completed successfully.
ERROR_INVALID_FUNCTION 1 The function is incorrect.
ERROR_FILE_NOT_FOUND 2 The system cannot find the file specified.
ERROR_PATH_NOT_FOUND 3 The system cannot find the path specified.
ERROR_TOO_MANY_OPEN_FILES 4 The system cannot open the file.
ERROR_ACCESS_DENIED 5 Access is denied.
ERROR_INVALID_HANDLE 6 The handle is invalid.
ERROR_ARENA_TRASHED 7 The storage control blocks were destroyed.
ERROR_NOT_ENOUGH_MEMORY 8 Not enough storage is available to process this command.
ERROR_INVALID_BLOCK 9 The storage control block address is invalid.
ERROR_BAD_ENVIRONMENT 10 The environment is incorrect.
ERROR_BAD_FORMAT 11 An attempt was made to load a program with an incorrect format.
ERROR_INVALID_ACCESS 12 The access code is invalid.
ERROR_INVALID_DATA 13 The data is invalid.
ERROR_OUTOFMEMORY 14 Not enough storage is available to complete this operation.
ERROR_INVALID_DRIVE 15 The system cannot find the drive specified.
ERROR_CURRENT_DIRECTORY $10 The directory cannot be removed.
ERROR_NOT_SAME_DEVICE 17 The system cannot move the file to a different disk drive.
ERROR_NO_MORE_FILES 18 There are no more files.
ERROR_WRITE_PROTECT 19 The media is write-protected.
ERROR_BAD_UNIT 20 The system cannot find the device specified.
ERROR_NOT_READY 21 The device is not ready.
ERROR_BAD_COMMAND 22 The device does not recognize the command.
ERROR_CRC 23 A data error (cyclic redundancy check) has occurred.
ERROR_BAD_LENGTH 24 The program issued a command, but the command length is incorrect.
ERROR_SEEK 25 The drive cannot locate a specific area or track on the disk.
ERROR_NOT_DOS_DISK 26 The specified disk or diskette cannot be accessed.
ERROR_SECTOR_NOT_FOUND 27 The drive cannot find the sector requested.
ERROR_OUT_OF_PAPER 28 The printer is out of paper.
ERROR_WRITE_FAULT 29 The system cannot write to the specified device.
ERROR_READ_FAULT 30 The system cannot read from the specified device.
ERROR_GEN_FAILURE 31 A device attached to the system is not functioning.
ERROR_SHARING_VIOLATION $20 The process cannot access the file because another process is using it.
ERROR_LOCK_VIOLATION 33 The process cannot access the file because another process has locked a portion of the file.
ERROR_WRONG_DISK 34 The wrong diskette is in the drive. Insert %2 (Volume Serial Number: %3) into drive %1.
ERROR_SHARING_BUFFER_EXCEEDED 36 Too many files have been opened for sharing.
ERROR_HANDLE_EOF 38 The end of the file has been reached.
ERROR_HANDLE_DISK_FULL 39 The disk is full.
ERROR_NOT_SUPPORTED 50 The network request is not supported.
ERROR_REM_NOT_LIST 51 The remote computer is not available.
ERROR_DUP_NAME 52 A duplicate name exists on the network.
ERROR_BAD_NETPATH 53 The network path was not found.
ERROR_NETWORK_BUSY 54 The network is busy.
ERROR_DEV_NOT_EXIST 55 The specified network resource or device is no longer available.
ERROR_TOO_MANY_CMDS 56 The network BIOS command limit has been reached.
ERROR_ADAP_HDW_ERR 57 A network adapter hardware error occurred.
ERROR_BAD_NET_RESP 58 The specified server cannot perform the requested operation.
ERROR_UNEXP_NET_ERR 59 An unexpected network error has occurred.
ERROR_BAD_REM_ADAP 60 The remote adapter is not compatible.
ERROR_PRINTQ_FULL 61 The printer queue is full.
ERROR_NO_SPOOL_SPACE 62 Space to store the file waiting to be printed is not available on the server.
ERROR_PRINT_CANCELLED 63 Your file waiting to be printed was deleted.
ERROR_NETNAME_DELETED $40 The specified network name is no longer available.
ERROR_NETWORK_ACCESS_DENIED 65 Network access is denied.
ERROR_BAD_DEV_TYPE 66 The network resource type is not correct.
ERROR_BAD_NET_NAME 67 The network name cannot be found.
ERROR_TOO_MANY_NAMES 68 The name limit for the local computer network adapter card was exceeded.
ERROR_TOO_MANY_SESS 69 The network BIOS session limit was exceeded.
ERROR_SHARING_PAUSED 70 The remote server has been paused or is in the process of being started.
ERROR_REQ_NOT_ACCEP 71 No more connections can be made to this remote computer at this time because there are already as many connections as the computer can accept.
ERROR_REDIR_PAUSED 72 The specified printer or disk device has been paused.
ERROR_FILE_EXISTS 80 The file exists.
ERROR_CANNOT_MAKE 82 The directory or file cannot be created.
ERROR_FAIL_I24 83 A failure has occurred on INT 24.
ERROR_OUT_OF_STRUCTURES 84 Storage to process this request is not available.
ERROR_OUT_OF_STRUCTURES 85 The local device name is already in use.
ERROR_INVALID_PASSWORD 86 The specified network password is not correct.
ERROR_INVALID_PARAMETER 87 The parameter is incorrect.
ERROR_NET_WRITE_FAULT 88 A write fault occurred on the network.
ERROR_NO_PROC_SLOTS 89 The system cannot start another process at this time.
ERROR_TOO_MANY_SEMAPHORES 100 Another system semaphore cannot be created.
ERROR_EXCL_SEM_ALREADY_OWNED 101 The exclusive semaphore is owned by another process.
ERROR_SEM_IS_SET 102 The semaphore is set and cannot be closed.
ERROR_TOO_MANY_SEM_REQUESTS 103 The semaphore cannot be set again.
ERROR_INVALID_AT_INTERRUPT_TIME 104 Exclusive semaphores cannot be requested at interrupt time.
ERROR_SEM_OWNER_DIED 105 The previous ownership of this semaphore has ended.
ERROR_SEM_USER_LIMIT 106 Insert the diskette for drive %1.
ERROR_DISK_CHANGE 107 The program has stopped because an alternate diskette was not inserted.
ERROR_DRIVE_LOCKED 108 The disk is in use or locked by another process.
ERROR_BROKEN_PIPE 109 The pipe has been ended.
ERROR_OPEN_FAILED 110 The system cannot open the device or file specified.
ERROR_BUFFER_OVERFLOW 111 The filename is too long.
ERROR_DISK_FULL 112 The disk does not contain enough space.
ERROR_NO_MORE_SEARCH_HANDLES 113 No more internal file identifiers are available.
ERROR_INVALID_TARGET_HANDLE 114 The target internal file identifier is incorrect.
ERROR_INVALID_CATEGORY 117 The IOCTL call made by the application program is not correct.
ERROR_INVALID_VERIFY_SWITCH 118 The verify-on-write switch parameter value is not correct.
ERROR_BAD_DRIVER_LEVEL 119 The system does not support the command requested.
ERROR_CALL_NOT_IMPLEMENTED 120 This function is only valid in Windows NT mode.
ERROR_SEM_TIMEOUT 121 The semaphore timeout period has expired.
ERROR_INSUFFICIENT_BUFFER 122 The data area passed to a system call is too small.
ERROR_INVALID_NAME 123 The filename, directory name, or volume label syntax is incorrect.
ERROR_INVALID_LEVEL 124 The system call level is not correct.
ERROR_NO_VOLUME_LABEL 125 The disk has no volume label.
ERROR_MOD_NOT_FOUND 126 The specified module could not be found.
ERROR_PROC_NOT_FOUND 127 The specified procedure could not be found.
ERROR_WAIT_NO_CHILDREN $80 There are no child processes to wait for.
ERROR_CHILD_NOT_COMPLETE 129 The %1 application cannot run in Windows NT mode.
ERROR_DIRECT_ACCESS_HANDLE 130 An attempt was made to use a file handle to an open disk partition for an operation other than raw disk I/O.
ERROR_NEGATIVE_SEEK 131 An attempt was made to move the file pointer before the beginning of the file.
ERROR_SEEK_ON_DEVICE 132 The file pointer cannot be set on the specified device or file.
ERROR_IS_JOIN_TARGET 133 A JOIN or SUBST command cannot be used for a drive that contains previously joined drives.
ERROR_IS_JOINED 134 An attempt was made to use a JOIN or SUBST command on a drive that has already been joined.
ERROR_IS_SUBSTED 135 An attempt was made to use a JOIN or SUBST command on a drive that has already been substituted.
ERROR_NOT_JOINED 136 The system tried to delete the join of a drive that's not joined.
ERROR_NOT_SUBSTED 137 The system tried to delete the substitution of a drive that's not substituted.
ERROR_JOIN_TO_JOIN 138 The system tried to join a drive to a directory on a joined drive.
ERROR_SUBST_TO_SUBST 139 The system tried to substitute a drive to a directory on a substituted drive.
ERROR_JOIN_TO_SUBST 140 The system tried to join a drive to a directory on a substituted drive.
ERROR_SUBST_TO_JOIN 141 The system tried to perform a SUBST command on a drive to a directory on a joined drive.
ERROR_BUSY_DRIVE 142 The system cannot perform a JOIN or SUBST operation at this time.
ERROR_SAME_DRIVE 143 The system cannot join or substitute a drive to or for a directory on the same drive.
ERROR_DIR_NOT_ROOT 144 The directory is not a subdirectory of the root directory.
ERROR_DIR_NOT_EMPTY 145 The directory is not empty.
ERROR_IS_SUBST_PATH 146 The path specified is being used in a substitute.
ERROR_IS_JOIN_PATH 147 Not enough resources are available to process this command.
ERROR_PATH_BUSY 148 The path specified cannot be used at this time.
ERROR_IS_SUBST_TARGET 149 An attempt was made to join or substitute a drive for which a directory on the drive is the target of a previous substitute.
ERROR_SYSTEM_TRACE 150 System trace information was not specified in your CONFIG.SYS file or tracing is disallowed.
ERROR_INVALID_EVENT_COUNT 151 The number of specified semaphore events for DosMuxSemWait is not correct.
ERROR_TOO_MANY_MUXWAITERS 152 DosMuxSemWait did not execute; too many semaphores are already set.
ERROR_INVALID_LIST_FORMAT 153 The DosMuxSemWait list is not correct.
ERROR_LABEL_TOO_LONG 154 The volume label you entered exceeds the 11-character limit. The first 11 characters were written to disk. Any characters that exceeded the 11-character limit were automatically deleted.
ERROR_TOO_MANY_TCBS 155 Cannot create another thread.
ERROR_SIGNAL_REFUSED 156 The recipient process has refused the signal.
ERROR_DISCARDED 157 The segment is already discarded and cannot be locked.
ERROR_NOT_LOCKED 158 The segment is already unlocked.
ERROR_BAD_THREADID_ADDR 159 The address for the thread ID is not correct.
ERROR_BAD_ARGUMENTS 160 The argument string passed to DosExecPgm is not correct.
ERROR_BAD_PATHNAME 161 The specified path is invalid.
ERROR_SIGNAL_PENDING 162 A signal is already pending.
ERROR_MAX_THRDS_REACHED 164 No more threads can be created in the system.
ERROR_LOCK_FAILED 167 A region of a file cannot be locked.
ERROR_BUSY 170 The requested resource is in use.
ERROR_CANCEL_VIOLATION 173 A lock request was not outstanding for the supplied cancel region.
ERROR_ATOMIC_LOCKS_NOT_SUPPORTED 174 The file system does not support atomic changes to the lock type.
ERROR_INVALID_SEGMENT_NUMBER 180 The system detected a segment number that was not correct.
ERROR_INVALID_ORDINAL 182 The operating system cannot run %1.
ERROR_ALREADY_EXISTS 183 Cannot create a file when that file already exists.
ERROR_INVALID_FLAG_NUMBER 186 The flag passed is not correct.
ERROR_SEM_NOT_FOUND 187 The specified system semaphore name was not found.
ERROR_INVALID_STARTING_CODESEG 188 The operating system cannot run %1.
ERROR_INVALID_STACKSEG 189 The operating system cannot run %1.
ERROR_INVALID_MODULETYPE 190 The operating system cannot run %1.
ERROR_INVALID_EXE_SIGNATURE 191 Windows NT mode cannot run %1.
ERROR_EXE_MARKED_INVALID 192 The operating system cannot run %1.
ERROR_BAD_EXE_FORMAT 193 %1 is not a valid Windows NT application.
ERROR_ITERATED_DATA_EXCEEDS_64k 194 The operating system cannot run %1.
ERROR_INVALID_MINALLOCSIZE 195 The operating system cannot run %1.
ERROR_DYNLINK_FROM_INVALID_RING 196 The operating system cannot run this application program.
ERROR_IOPL_NOT_ENABLED 197 The operating system is not presently configured to run this application.
ERROR_INVALID_SEGDPL 198 The operating system cannot run %1.
ERROR_AUTODATASEG_EXCEEDS_64k 199 The operating system cannot run this application program.
ERROR_RING2SEG_MUST_BE_MOVABLE 200 The code segment cannot be greater than or equal to 64KB.
ERROR_RELOC_CHAIN_XEEDS_SEGLIM 201 The operating system cannot run %1.
ERROR_INFLOOP_IN_RELOC_CHAIN 202 The operating system cannot run %1.
ERROR_ENVVAR_NOT_FOUND 203 The system could not find the environment option that was entered.
ERROR_NO_SIGNAL_SENT 205 No process in the command subtree has a signal handler.
ERROR_FILENAME_EXCED_RANGE 206 The filename or extension is too long.
ERROR_RING2_STACK_IN_USE 207 The ring 2 stack is in use.
ERROR_META_EXPANSION_TOO_LONG 208 The global filename characters (such as * and ?) are entered incorrectly or too many global filename characters are specified.
ERROR_INVALID_SIGNAL_NUMBER 209 The signal being posted is not correct.
ERROR_THREAD_1_INACTIVE 210 The signal handler cannot be set.
ERROR_LOCKED 212 The segment is locked and cannot be reallocated.
ERROR_TOO_MANY_MODULES 214 Too many dynamic link modules are attached to this program or dynamic link module.
ERROR_NESTING_NOT_ALLOWED 215 Calls can't be nested to LoadModule.
ERROR_BAD_PIPE 230 The pipe state is invalid.
ERROR_PIPE_BUSY 231 All pipe instances are busy.
ERROR_NO_DATA 232 The pipe is being closed.
ERROR_PIPE_NOT_CONNECTED 233 No process is on the other end of the pipe.
ERROR_MORE_DATA 234 More data is available.
ERROR_VC_DISCONNECTED 240 The session was cancelled.
ERROR_INVALID_EA_NAME 254 The specified extended attribute name was invalid.
ERROR_EA_LIST_INCONSISTENT 255 The extended attributes are inconsistent.
ERROR_NO_MORE_ITEMS 259 No more data is available.
ERROR_CANNOT_COPY 266 The Copy API cannot be used.
ERROR_DIRECTORY 267 The directory name is invalid.
ERROR_EAS_DIDNT_FIT 275 The extended attributes did not fit in the buffer.
ERROR_EA_FILE_CORRUPT 276 The extended attribute file on the mounted file system is corrupt.
ERROR_EA_TABLE_FULL 277 The extended attribute table file is full.
ERROR_INVALID_EA_HANDLE 278 The specified extended attribute handle is invalid.
ERROR_EAS_NOT_SUPPORTED 282 The mounted file system does not support extended attributes.
ERROR_NOT_OWNER 288 An attempt has been made to release a mutex not owned by the caller.
ERROR_TOO_MANY_POSTS 298 Too many posts were made to a semaphore.
ERROR_PARTIAL_COPY 299 Only part of a Read/Write ProcessMemory request was completed.
ERROR_MR_MID_NOT_FOUND 317 The system cannot find a message for message number $%1 in message file for %2.
ERROR_INVALID_ADDRESS 487 Attempt to access invalid address.
ERROR_ARITHMETIC_OVERFLOW 534 The arithmetic result exceeded 32 bits.
ERROR_PIPE_CONNECTED 535 A process is on the other end of the pipe.
ERROR_PIPE_LISTENING 536 A pipe is waiting for a process to open the other end of the pipe.
ERROR_EA_ACCESS_DENIED 994 Access to the extended attribute was denied.
ERROR_OPERATION_ABORTED 995 The I/O operation has been aborted because of a thread exit or an application request.
ERROR_IO_INCOMPLETE 996 The overlapped I/O event is not in a signaled state.
ERROR_IO_PENDING 997 The overlapped I/O operation is in progress.
ERROR_NOACCESS 998 Access to the memory location is invalid.
ERROR_SWAPERROR 999 An error has occurred in performing in page operation.
ERROR_STACK_OVERFLOW 1001 Recursion is too deep and the stack overflowed.
ERROR_INVALID_MESSAGE 1002 The window cannot act on the sent message.
ERROR_CAN_NOT_COMPLETE 1003 This function cannot be completed.
ERROR_INVALID_FLAGS 1004 Flags are invalid.
ERROR_UNRECOGNIZED_VOLUME 1005 The volume does not contain a recognized file system. Make sure that all required file system drivers are loaded and that the volume is not corrupt.
ERROR_FILE_INVALID 1006 The volume for a file has been externally altered such that the opened file is no longer valid.
ERROR_FULLSCREEN_MODE 1007 The requested operation cannot be performed in full-screen mode.
ERROR_NO_TOKEN 1008 An attempt was made to reference a token that does not exist.
ERROR_BADDB 1009 The configuration Registry database is corrupt.
ERROR_BADKEY 1010 The configuration Registry key is invalid.
ERROR_CANTOPEN 1011 The configuration Registry key could not be
ERROR_CANTREAD 1012 The configuration Registry key could not be read.
ERROR_CANTWRITE 1013 The configuration Registry key could not be written.
ERROR_REGISTRY_RECOVERED 1014 One of the files in the Registry database had to be recovered by use of a log or alternate copy. The recovery was successful.
ERROR_REGISTRY_CORRUPT 1015 The Registry is corrupt. The structure of one of the files that contains Registry data is corrupt, the system's image of the file in memory is corrupt, or the file could not be recovered because the alternate copy or log was absent or corrupt.
ERROR_REGISTRY_IO_FAILED 1016 An I/O operation initiated by the Registry failed and was unable to be recovered. The Registry could not read in, write out, or flush one of the files that contains the system's image of the Registry.
ERROR_NOT_REGISTRY_FILE 1017 The system has attempted to load or restore a file into the Registry, but the specified file is not in a Registry file format.
ERROR_KEY_DELETED 1018 An illegal operation was attempted on a Registry key that has been marked for deletion.
ERROR_NO_LOG_SPACE 1019 The system could not allocate the required space in a Registry log.
ERROR_KEY_HAS_CHILDREN 1020 A symbolic link could not be created in a Registry key that already has subkeys or values.
ERROR_CHILD_MUST_BE_VOLATILE 1021 A stable subkey under a volatile parent key could not be created.
ERROR_NOTIFY_ENUM_DIR 1022 A "notify change" request is being completed, and the information is not being returned in the caller's buffer. The caller now needs to enumerate the files to find the changes.
ERROR_DEPENDENT_SERVICES_RUNNING 1051 A stop control has been sent to a service upon which other running services depend.
ERROR_INVALID_SERVICE_CONTROL 1052 The requested control is not valid for this service.
ERROR_SERVICE_REQUEST_TIMEOUT 1053 The service did not respond to the start or control request in a timely fashion.
ERROR_SERVICE_NO_THREAD 1054 A thread could not be created for the service.
ERROR_SERVICE_DATABASE_LOCKED 1055 The service database is locked.
ERROR_SERVICE_ALREADY_RUNNING 1056 An instance of the service is already running.
ERROR_INVALID_SERVICE_ACCOUNT 1057 The account name is invalid or does not exist.
ERROR_SERVICE_DISABLED 1058 The specified service is disabled and cannot be started.
ERROR_CIRCULAR_DEPENDENCY 1059 A circular service dependency was specified.
ERROR_SERVICE_DOES_NOT_EXIST 1060 The specified service does not exist as an installed service.
ERROR_SERVICE_CANNOT_ACCEPT_CTRL 1061 The service cannot accept control messages at this time.
ERROR_SERVICE_NOT_ACTIVE 1062 The service has not been started.
ERROR_FAILED_SERVICE_CONTROLLER 1063 The service process could not connect to the service controller.
ERROR_EXCEPTION_IN_SERVICE 1064 An exception occurred in the service when handling the control request.
ERROR_DATABASE_DOES_NOT_EXIST 1065 The database specified does not exist.
ERROR_SERVICE_SPECIFIC_ERROR 1066 The service has returned a service-specific error code.
ERROR_PROCESS_ABORTED 1067 The process terminated unexpectedly.
ERROR_SERVICE_DEPENDENCY_FAIL 1068 The dependency service or group failed to start.
ERROR_SERVICE_LOGON_FAILED 1069 The service did not start due to a logon failure.
ERROR_SERVICE_START_HANG 1070 After starting, the service hung up in a startpending state.
ERROR_INVALID_SERVICE_LOCK 1071 The specified service database lock is invalid.
ERROR_SERVICE_MARKED_FOR_DELETE 1072 The specified service has been marked for deletion.
ERROR_SERVICE_EXISTS 1073 The specified service already exists.
ERROR_ALREADY_RUNNING_LKG 1074 The system is currently running with the lastknown-good configuration.
ERROR_SERVICE_DEPENDENCY_DELETED 1075 The dependency service does not exist or has been marked for deletion.
ERROR_BOOT_ALREADY_ACCEPTED 1076 The current boot has already been accepted for use as the last-known-good control set.
ERROR_SERVICE_NEVER_STARTED 1077 No attempts to start the service have been made since the last boot.
ERROR_DUPLICATE_SERVICE_NAME 1078 The name is already in use as either a service name or a service display name.
ERROR_END_OF_MEDIA 1100 The physical end of the tape has been reached.
ERROR_FILEMARK_DETECTED 1101 A tape access reached a filemark.
ERROR_BEGINNING_OF_MEDIA 1102 The beginning of the tape or partition was encountered.
ERROR_SETMARK_DETECTED 1103 A tape access reached the end of a set of files.
ERROR_NO_DATA_DETECTED 1104 No more data is on the tape.
ERROR_PARTITION_FAILURE 1105 The tape could not be partitioned.
ERROR_INVALID_BLOCK_LENGTH 1106 During the access of a new tape of a multivolume partition, the current block size is incorrect.
ERROR_DEVICE_NOT_PARTITIONED 1107 The tape partition information could not be found when a tape was loaded.
ERROR_UNABLE_TO_LOCK_MEDIA 1108 The media-eject mechanism could not be locked.
ERROR_UNABLE_TO_UNLOAD_MEDIA 1109 The media could not be loaded.
ERROR_MEDIA_CHANGED 1110 The media in the drive may have changed.
ERROR_BUS_RESET 1111 The I/O bus was reset.
ERROR_NO_MEDIA_IN_DRIVE 1112 No media was in the drive.
ERROR_NO_UNICODE_TRANSLATION 1113 No mapping for the Unicode character exists in the target multibyte code page.
ERROR_DLL_INIT_FAILED 1114 A dynamic link library (DLL) initialization routine failed.
ERROR_SHUTDOWN_IN_PROGRESS 1115 A system shutdown is in progress.
ERROR_NO_SHUTDOWN_IN_PROGRESS 1116 The system shutdown could not be aborted because no shutdown was in progress.
ERROR_IO_DEVICE 1117 The request could not be performed because of an I/O device error.
ERROR_SERIAL_NO_DEVICE 1118 No serial device was successfully initialized. The serial driver will unload.
ERROR_IRQ_BUSY 1119 A device could not be opened that was sharing an interrupt request (IRQ) with other devices. At least one other device that uses that IRQ was already opened.
ERROR_MORE_WRITES 1120 A serial I/O operation was completed by another write to the serial port. (IOCTL_SERIAL_XOFF_COUNTER reached zero.)
ERROR_COUNTER_TIMEOUT 1121 A serial I/O operation completed because the timeout period expired. (IOCTL_SERIAL_XOFF_COUNTER did not reach zero.)
ERROR_FLOPPY_ID_MARK_NOT_FOUND 1122 No ID address mark was found on the floppy disk.
ERROR_FLOPPY_WRONG_CYLINDER 1123 A mismatch occurred between the floppy disk sector ID field and the floppy disk controller track address.
ERROR_FLOPPY_UNKNOWN_ERROR 1124 The floppy disk controller reported an error that the floppy disk driver does not recognize.
ERROR_FLOPPY_BAD_REGISTERS 1125 The floppy disk controller returned inconsistent results in its registers.
ERROR_DISK_RECALIBRATE_FAILED 1126 During a hard disk access, a recalibrate operation failed, even after retries.
ERROR_DISK_OPERATION_FAILED 1127 During a hard disk access, a disk operation failed, even after retries.
ERROR_DISK_RESET_FAILED 1128 During a hard disk access, a disk controller reset was needed, but even that failed.
ERROR_EOM_OVERFLOW 1129 The physical end of the tape was encountered.
ERROR_NOT_ENOUGH_SERVER_MEMORY 1130 Not enough server storage is available to process this command.
ERROR_POSSIBLE_DEADLOCK 1131 A potential deadlock condition has been detected.
ERROR_MAPPED_ALIGNMENT 1132 The base address or the file offset specified does not have the proper alignment.
ERROR_SET_POWER_STATE_VETOED 1140 An attempt to change the system power state was vetoed by another application or driver.
ERROR_SET_POWER_STATE_FAILED 1141 The system BIOS failed an attempt to change the system power state.
ERROR_OLD_WIN_VERSION 1150 The specified program requires a newer version of Windows.
ERROR_APP_WRONG_OS 1151 The specified program is not a Windows or MS-DOS program.
ERROR_SINGLE_INSTANCE_APP 1152 You cannot start more than one instance of the specified program.
ERROR_RMODE_APP 1153 You cannot start more than one instance of the specified program.
ERROR_INVALID_DLL 1154 One of the library files needed to run this application is damaged.
ERROR_NO_ASSOCIATION 1155 No application is associated with the specified file for this operation.
ERROR_DDE_FAIL 1156 An error occurred in sending the command to the application.
ERROR_DLL_NOT_FOUND 1157 One of the library files needed to run this application cannot be found.
ERROR_BAD_USERNAME 2202 The specified username is invalid.
ERROR_NOT_CONNECTED 2250 This network connection does not exist.
ERROR_OPEN_FILES 2401 This network connection has files open or requests pending.
ERROR_ACTIVE_CONNECTIONS 2402 Active connections still exist.
ERROR_DEVICE_IN_USE 2404 The device is in use by an active process and cannot be disconnected.
ERROR_BAD_DEVICE 1200 The specified device name is invalid.
ERROR_CONNECTION_UNAVAIL 1201 The device is not currently connected, but it is a remembered connection.
ERROR_DEVICE_ALREADY_REMEMBERED 1202 An attempt was made to remember a device that had previously been remembered.
ERROR_NO_NET_OR_BAD_PATH 1203 No network provider accepted the given network path.
ERROR_BAD_PROVIDER 1204 The specified network provider name is invalid.
ERROR_CANNOT_OPEN_PROFILE 1205 The network connection profile could not be opened.
ERROR_BAD_PROFILE 1206 The network connection profile is corrupt.
ERROR_NOT_CONTAINER 1207 A noncontainer cannot be enumerated.
ERROR_EXTENDED_ERROR 1208 An extended error has occurred.
ERROR_INVALID_GROUPNAME 1209 The format of the specified group name is invalid.
ERROR_INVALID_COMPUTERNAME 1210 The format of the specified computer name is invalid.
ERROR_INVALID_EVENTNAME 1211 The format of the specified event name is invalid.
ERROR_INVALID_DOMAINNAME 1212 The format of the specified domain name is invalid.
ERROR_INVALID_SERVICENAME 1213 The format of the specified service name is invalid.
ERROR_INVALID_NETNAME 1214 The format of the specified network name is invalid.
ERROR_INVALID_SHARENAME 1215 The format of the specified share name is invalid.
ERROR_INVALID_PASSWORDNAME 1216 The format of the specified password is invalid.
ERROR_INVALID_MESSAGENAME 1217 The format of the specified message name is invalid.
ERROR_INVALID_MESSAGEDEST 1218 The format of the specified message destination is invalid.
ERROR_SESSION_CREDENTIAL_CONFLIC 1219 The credentials supplied conflict with an existing set of credentials.
ERROR_REMOTE_SESSION_LIMIT_EXCEE 1220 An attempt was made to establish a session to a network server, but too many sessions are already established to that server.
ERROR_DUP_DOMAINNAME 1221 Another computer on the network is already using the workgroup or domain name.
ERROR_NO_NETWORK 1222 The network is not present or not started.
ERROR_CANCELLED 1223 The user cancelled the operation.
ERROR_USER_MAPPED_FILE 1224 The requested operation cannot be performed on a file with a user-mapped section open.
ERROR_CONNECTION_REFUSED 1225 The remote system refused the network connection.
ERROR_GRACEFUL_DISCONNECT 1226 The network connection was gracefully closed.
ERROR_ADDRESS_ALREADY_ASSOCIATED 1227 The network transport endpoint already has an address associated with it.
ERROR_ADDRESS_NOT_ASSOCIATED 1228 An address has not yet been associated with the network endpoint.
ERROR_CONNECTION_INVALID 1229 An operation was attempted on a nonexistent network connection.
ERROR_CONNECTION_ACTIVE 1230 An invalid operation was attempted on an active network connection.
ERROR_NETWORK_UNREACHABLE 1231 The transport cannot reach the remote network.
ERROR_HOST_UNREACHABLE 1232 The transport cannot reach the remote system.
ERROR_PROTOCOL_UNREACHABLE 1233 The transport protocol cannot reach the remote system.
ERROR_PORT_UNREACHABLE 1234 No service is operating at the destination network endpoint on the remote system.
ERROR_REQUEST_ABORTED 1235 The request was aborted.
ERROR_CONNECTION_ABORTED 1236 The local system aborted the network connection.
ERROR_RETRY 1237 The operation could not be completed. A retry should be performed.
ERROR_CONNECTION_COUNT_LIMIT 1238 A connection to the server could not be made because the limit on the number of concurrent connections for this account has been reached.
ERROR_LOGIN_TIME_RESTRICTION 1239 An attempt was made to log in during an unauthorized time of day for this account.
ERROR_LOGIN_WKSTA_RESTRICTION 1240 The account is not authorized to log in from this station.
ERROR_INCORRECT_ADDRESS 1241 The network address could not be used for the operation requested.
ERROR_ALREADY_REGISTERED 1242 The service is already registered.
ERROR_SERVICE_NOT_FOUND 1243 The specified service does not exist.
ERROR_NOT_AUTHENTICATED 1244 The operation being requested was not performed because the user has not been authenticated.
ERROR_NOT_LOGGED_ON 1245 The operation being requested was not performed because the user has not logged onto the network. The specified service does not exist.
ERROR_CONTINUE 1246 This is a return that wants the caller to continue with work in progress.
ERROR_ALREADY_INITIALIZED 1247 An attempt was made to perform an initialization operation when initialization has already been completed.
ERROR_NO_MORE_DEVICES 1248 No more local devices exist.
ERROR_NOT_ALL_ASSIGNED 1300 Not all privileges referenced are assigned to the caller.
ERROR_SOME_NOT_MAPPED 1301 Some mapping between account names and security IDs was not done.
ERROR_NO_QUOTAS_FOR_ACCOUNT 1302 No system quota limits are specifically set for this account.
ERROR_LOCAL_USER_SESSION_KEY 1303 No encryption key is available. A well-known encryption key was returned.
ERROR_NULL_LM_PASSWORD 1304 The NT password is too complex to be converted to a LAN Manager password. The LAN Manager password returned is a null string.
ERROR_UNKNOWN_REVISION 1305 The revision level is unknown.
ERROR_REVISION_MISMATCH 1306 The two revision levels are incompatible.
ERROR_INVALID_OWNER 1307 This security ID may not be assigned as the owner of this object.
ERROR_INVALID_PRIMARY_GROUP 1308 This security ID may not be assigned as the primary group of an object.
ERROR_NO_IMPERSONATION_TOKEN 1309 A thread that's not currently impersonating a client has made an attempt to operate on an impersonation token.
ERROR_CANT_DISABLE_MANDATORY 1310 The group may not be disabled.
ERROR_NO_LOGON_SERVERS 1311 No logon servers are currently available to service the logon request.
ERROR_NO_SUCH_LOGON_SESSION 1312 A specified logon session does not exist. It may already have been terminated.
ERROR_NO_SUCH_PRIVILEGE 1313 A specified privilege does not exist. 
ERROR_PRIVILEGE_NOT_HELD 1314 A required privilege is not held by the client.
ERROR_INVALID_ACCOUNT_NAME 1315 The name provided is not a properly formed account name.
ERROR_USER_EXISTS 1316 The specified user already exists.
ERROR_NO_SUCH_USER 1317 The specified user does not exist.
ERROR_GROUP_EXISTS 1318 The specified group already exists.
ERROR_NO_SUCH_GROUP 1319 The specified group does not exist.
ERROR_MEMBER_IN_GROUP 1320 Either the specified user account is already a member of the specified group or the specified group cannot be deleted because it contains a member.
ERROR_MEMBER_NOT_IN_GROUP 1321 The specified user account is not a member of the specified group account.
ERROR_LAST_ADMIN 1322 The last remaining administration account cannot be disabled or deleted.
ERROR_WRONG_PASSWORD 1323 The password cannot be updated. The value provided as the current password is incorrect.
ERROR_ILL_FORMED_PASSWORD 1324 The password cannot be updated. The value provided for the new password contains values that are not allowed in passwords.
ERROR_PASSWORD_RESTRICTION 1325 The password cannot be updated because a password update rule has been violated.
ERROR_LOGON_FAILURE 1326 A logon failure has occurred: unknown user name or bad password.
ERROR_ACCOUNT_RESTRICTION 1327 A logon failure has occurred: user account restriction.
ERROR_INVALID_LOGON_HOURS 1328 A logon failure has occurred: Account logon time restriction violation.
ERROR_INVALID_WORKSTATION 1329 A logon failure has occurred: The user is not allowed to logon to this computer.
ERROR_PASSWORD_EXPIRED 1330 A logon failure has occurred: The specified account password has expired.
ERROR_ACCOUNT_DISABLED 1331 A logon failure has occurred: The account has been currently disabled.
ERROR_NONE_MAPPED 1332 No mapping between account names and security IDs was done.
ERROR_TOO_MANY_LUIDS_REQUESTED 1333 Too many local user identifiers (LUIDs) were requested at one time.
ERROR_LUIDS_EXHAUSTED 1334 No more local user identifiers (LUIDs) are available.
ERROR_INVALID_SUB_AUTHORITY 1335 The subauthority part of a security ID is invalid for this particular use.
ERROR_INVALID_ACL 1336 The Access Control List (ACL) structure is invalid.
ERROR_INVALID_SID 1337 The security ID structure is invalid. 
ERROR_INVALID_SECURITY_DESCR 1338 The security descriptor structure is invalid.
ERROR_BAD_INHERITANCE_ACL 1340 The inherited Access Control List (ACL) or Access Control Entry (ACE) could not be built.
ERROR_SERVER_DISABLED 1341 The server is currently disabled.
ERROR_SERVER_NOT_DISABLED 1342 The server is currently enabled.
ERROR_INVALID_ID_AUTHORITY 1343 The value provided was an invalid value for an identifier authority.
ERROR_ALLOTTED_SPACE_EXCEEDED 1344 No more memory is available for security information updates.
ERROR_INVALID_GROUP_ATTRIBUTES 1345 The specified attributes are invalid or incompatible with the attributes for the group as a whole.
ERROR_BAD_IMPERSONATION_LEVEL 1346 Either a required impersonation level was not provided or the provided impersonation level is invalid.
ERROR_CANT_OPEN_ANONYMOUS 1347 An anonymous-level security token cannot be opened.
ERROR_BAD_VALIDATION_CLASS 1348 The validation information class requested was invalid.
ERROR_BAD_TOKEN_TYPE 1349 The type of the token is inappropriate for its attempted use.
ERROR_NO_SECURITY_ON_OBJECT 1350 A security operation could not be performed on an object that has no associated security.
ERROR_CANT_ACCESS_DOMAIN_INFO 1351 A Windows NT server could not be contacted or objects within the domain are protected such that necessary information could not be retrieved.
ERROR_INVALID_SERVER_STATE 1352 The Security Account Manager (SAM) or Local Security Authority (LSA) server was in the wrong state to perform the security operation.
ERROR_INVALID_DOMAIN_STATE 1353 The domain was in the wrong state to perform the security operation.
ERROR_INVALID_DOMAIN_ROLE 1354 This operation is only allowed for the Primary Domain Controller of the domain.
ERROR_NO_SUCH_DOMAIN 1355 The specified domain did not exist.
ERROR_DOMAIN_EXISTS 1356 The specified domain already exists.
ERROR_DOMAIN_LIMIT_EXCEEDED 1357 An attempt was made to exceed the limit on the number of domains per server.
ERROR_INTERNAL_DB_CORRUPTION 1358 The requested operation could not be completed because of a catastrophic media failure or a data structure corruption on the disk.
ERROR_INTERNAL_ERROR 1359 The security account database contains an internal inconsistency.
ERROR_GENERIC_NOT_MAPPED 1360 Generic access types were contained in an access mask that should already be mapped to nongeneric types.
ERROR_BAD_DESCRIPTOR_FORMAT 1361 A security descriptor is not in the correct format (absolute or self-relative).
ERROR_NOT_LOGON_PROCESS 1362 The requested action is restricted for use by logon processes only. The calling process has not been registered as a logon process.
ERROR_LOGON_SESSION_EXISTS 1363 You cannot start a new logon session with an ID that's already in use.
ERROR_NO_SUCH_PACKAGE 1364 A specified authentication package is unknown.
ERROR_BAD_LOGON_SESSION_STATE 1365 The logon session is not in a state that's consistent with the requested operation.
ERROR_LOGON_SESSION_COLLISION 1366 The logon session ID is already in use.
ERROR_INVALID_LOGON_TYPE 1367 A logon request contained an invalid logon type value.
ERROR_CANNOT_IMPERSONATE 1368 You cannot impersonate via a named pipe until data has been read from that pipe.
ERROR_RXACT_INVALID_STATE 1369 The transaction state of a Registry subtree is incompatible with the requested operation.
ERROR_RXACT_COMMIT_FAILURE 1370 An internal security database corruption has been encountered.
ERROR_SPECIAL_ACCOUNT 1371 You cannot perform this operation on built-in accounts.
ERROR_SPECIAL_GROUP 1372 You cannot perform this operation on this built-in special group.
ERROR_SPECIAL_USER 1373 You cannot perform this operation on this built-in special user.
ERROR_MEMBERS_PRIMARY_GROUP 1374 The user cannot be removed from a group because the group is currently the user's primary group.
ERROR_TOKEN_ALREADY_IN_USE 1375 The token is already in use as a primary token.
ERROR_NO_SUCH_ALIAS 1376 The specified local group does not exist.
ERROR_MEMBER_NOT_IN_ALIAS 1377 The specified account name is not a member of the local group.
ERROR_MEMBER_IN_ALIAS 1378 The specified account name is already a member of the local group.
ERROR_ALIAS_EXISTS 1379 The specified local group already exists.
ERROR_LOGON_NOT_GRANTED 1380 A logon failure has occurred: The user has not been granted the requested logon type at this computer.
ERROR_TOO_MANY_SECRETS 1381 The maximum number of secrets that may be stored in a single system has been exceeded.
ERROR_SECRET_TOO_LONG 1382 The length of a secret exceeds the maximum length allowed.
ERROR_INTERNAL_DB_ERROR 1383 The Local Security Authority database contains an internal inconsistency.
ERROR_TOO_MANY_CONTEXT_IDS 1384 During a logon attempt, the user's security context accumulated too many security IDs.
ERROR_LOGON_TYPE_NOT_GRANTED 1385 A logon failure has occurred: The user has not been granted the requested logon type at this computer.
ERROR_NT_CROSS_ENCRYPTION_REQUIR 1386 A cross-encrypted password is necessary to change a user password.
ERROR_NO_SUCH_MEMBER 1387 A new member could not be added to a local group because the member does not exist.
ERROR_INVALID_MEMBER 1388 A new member could not be added to a local group because the member has the wrong account type.
ERROR_TOO_MANY_SIDS 1389 Too many security IDs have been specified.
ERROR_LM_CROSS_ENCRYPTION_REQUIR 1390 A cross-encrypted password is necessary to change this user password.
ERROR_NO_INHERITANCE 1391 Indicates a TACL contains no inheritable components.
ERROR_FILE_CORRUPT 1392 The file or directory is corrupt and unable to be read.
ERROR_DISK_CORRUPT 1393 The disk structure is corrupt and unable to be read.
ERROR_NO_USER_SESSION_KEY 1394 No user session key exists for the specified logon session.
ERROR_LICENSE_QUOTA_EXCEEDED 1395 The service being accessed is licensed for a particular number of connections. No more connections can be made to the service at this time because as many connections as the service can accept already exist.
ERROR_INVALID_WINDOW_HANDLE 1400 The window handle is invalid.
ERROR_INVALID_MENU_HANDLE 1401 The menu handle is invalid.
ERROR_INVALID_CURSOR_HANDLE 1402 The cursor handle is invalid.
ERROR_INVALID_ACCEL_HANDLE 1403 The accelerator table handle is invalid.
ERROR_INVALID_HOOK_HANDLE 1404 The hook handle is invalid.
ERROR_INVALID_DWP_HANDLE 1405 The handle to a multiple-window position structure is invalid.
ERROR_TLW_WITH_WSCHILD 1406 A top-level child window cannot be created.
ERROR_CANNOT_FIND_WND_CLASS 1407 A window class cannot be found.
ERROR_WINDOW_OF_OTHER_THREAD 1408 The window is invalid; it belongs to the other thread.
ERROR_HOTKEY_ALREADY_REGISTERED 1409 The hotkey is already registered.
ERROR_CLASS_ALREADY_EXISTS 1410 The class already exists.
ERROR_CLASS_DOES_NOT_EXIST 1411 The class does not exist.
ERROR_CLASS_HAS_WINDOWS 1412 The class still has open windows.
ERROR_INVALID_INDEX 1413 The index is invalid.
ERROR_INVALID_ICON_HANDLE 1414 The icon handle is invalid.
ERROR_PRIVATE_DIALOG_INDEX 1415 You're using private dialog window words.
ERROR_LISTBOX_ID_NOT_FOUND 1416 The list box identifier was not found.
ERROR_NO_WILDCARD_CHARACTERS 1417 No wildcards were found.
ERROR_CLIPBOARD_NOT_OPEN 1418 The thread does not have a Clipboard open.
ERROR_HOTKEY_NOT_REGISTERED 1419 The hotkey is not registered.
ERROR_WINDOW_NOT_DIALOG 1420 The window is not a valid dialog window.
ERROR_CONTROL_ID_NOT_FOUND 1421 The control ID was not found.
ERROR_INVALID_COMBOBOX_MESSAGE 1422 The message for a combo box was invalid because it does not have an edit control.
ERROR_WINDOW_NOT_COMBOBOX 1423 The window is not a combo box.
ERROR_INVALID_EDIT_HEIGHT 1424 The height must be less than 256 pixels.
ERROR_DC_NOT_FOUND 1425 The device context (DC) handle is invalid.
ERROR_INVALID_HOOK_FILTER 1426 The hook procedure type is invalid.
ERROR_INVALID_FILTER_PROC 1427 The hook procedure is invalid.
ERROR_HOOK_NEEDS_HMOD 1428 You cannot set a nonlocal hook without a module handle.
ERROR_GLOBAL_ONLY_HOOK 1429 This hook procedure can only be set globally.
ERROR_JOURNAL_HOOK_SET 1430 The journal hook procedure is already installed.
ERROR_HOOK_NOT_INSTALLED 1431 The hook procedure is not installed.
ERROR_INVALID_LB_MESSAGE 1432 The message for a single-selection list box is invalid.
ERROR_SETCOUNT_ON_BAD_LB 1433 LB_SETCOUNT was sent to a nonlazy list box.
ERROR_LB_WITHOUT_TABSTOPS 1434 This list box does not support tab stops.
ERROR_DESTROY_OBJECT_OF_OTHER_TH 1435 You cannot destroy an object created by another thread.
ERROR_CHILD_WINDOW_MENU 1436 Child windows cannot have menus.
ERROR_NO_SYSTEM_MENU 1437 The window does not have a system menu.
ERROR_INVALID_MSGBOX_STYLE 1438 The message box style is invalid.
ERROR_INVALID_SPI_VALUE 1439 The systemwide (SPI_*) parameter is invalid.
ERROR_SCREEN_ALREADY_LOCKED 1440 The screen is already locked.
ERROR_HWNDS_HAVE_DIFF_PARENT 1441 All handles to windows in a multiple-window position structure must have the same parent.
ERROR_NOT_CHILD_WINDOW 1442 The window is not a child window.
ERROR_INVALID_GW_COMMAND 1443 The GW_* command is invalid.
ERROR_INVALID_THREAD_ID 1444 The thread identifier is invalid.
ERROR_NON_MDICHILD_WINDOW 1445 A message cannot be processed from a window that's not a multiple-document interface (MDI) window.
ERROR_POPUP_ALREADY_ACTIVE 1446 The pop-up menu is already active.
ERROR_NO_SCROLLBARS 1447 The window does not have scrollbars.
ERROR_INVALID_SCROLLBAR_RANGE 1448 The scrollbar range cannot be greater than $7FFF.
ERROR_INVALID_SHOWWIN_COMMAND 1449 You cannot show or remove the window in the way specified.
ERROR_EVENTLOG_FILE_CORRUPT 1500 The event log file is corrupt.
ERROR_EVENTLOG_CANT_START 1501 No event log file could be opened, so the event-logging service did not start.
ERROR_LOG_FILE_FULL 1502 The event log file is full.
ERROR_EVENTLOG_FILE_CHANGED 1503 The event log file has changed between reads.
ERROR_INVALID_USER_BUFFER 1784 The supplied user buffer is not valid for the requested operation.
ERROR_UNRECOGNIZED_MEDIA 1785 The disk media is not recognized. It might not be formatted.
ERROR_NO_TRUST_LSA_SECRET 1786 The workstation does not have a trust secret.
ERROR_NO_TRUST_SAM_ACCOUNT 1787 The SAM database on the Windows NT server does not have a computer account for this workstation trust relationship.
ERROR_TRUSTED_DOMAIN_FAILURE 1788 The trust relationship between the primary domain and the trusted domain failed.
ERROR_TRUSTED_RELATIONSHIP_FAILU 1789 The trust relationship between this workstation and the primary domain failed.
ERROR_TRUST_FAILURE 1790 The network logon failed.
ERROR_NETLOGON_NOT_STARTED 1792 A remote procedure call is already in progress for this thread. An attempt was made to log on, but the network logon service was not started.
ERROR_ACCOUNT_EXPIRED 1793 The user's account has expired.
ERROR_REDIRECTOR_HAS_OPEN_HANDLE 1794 The redirector is in use and cannot be unloaded.
ERROR_PRINTER_DRIVER_ALREADY_INS 1795 The specified printer driver is already installed.
ERROR_UNKNOWN_PORT 1796 The specified port is unknown.
ERROR_UNKNOWN_PRINTER_DRIVER 1797 The printer driver is unknown.
ERROR_UNKNOWN_PRINTPROCESSOR 1798 The print processor is unknown.
ERROR_INVALID_SEPARATOR_FILE 1799 The specified separator file is invalid.
ERROR_INVALID_PRIORITY 1800 The specified priority is invalid.
ERROR_INVALID_PRINTER_NAME 1801 The printer name is invalid.
ERROR_PRINTER_ALREADY_EXISTS 1802 The printer already exists.
ERROR_INVALID_PRINTER_COMMAND 1803 The printer command is invalid.
ERROR_INVALID_DATATYPE 1804 The specified data type is invalid.
ERROR_INVALID_ENVIRONMENT 1805 The environment specified is invalid.
ERROR_NOLOGON_INTERDOMAIN_TRUST 1807 No more bindings exist. The account used is an interdomain trust account. Use your global user account or local user account to access this server.
ERROR_NOLOGON_WORKSTATION_TRUST 1808 The account used is a computer account. Use your global user account or local user account to access this server.
ERROR_NOLOGON_SERVER_TRUST_ACCOU 1809 The account used is an server trust account. Use your global user account or local user account to access this server.
ERROR_DOMAIN_TRUST_INCONSISTENT 1810 The name or security ID (SID) of the domain specified is inconsistent with the trust information for that domain.
ERROR_SERVER_HAS_OPEN_HANDLES 1811 The server is in use and cannot be unloaded.
ERROR_RESOURCE_DATA_NOT_FOUND 1812 The specified image file did not contain a resource section.
ERROR_RESOURCE_TYPE_NOT_FOUND 1813 The specified resource type cannot be found in the image file.
ERROR_RESOURCE_NAME_NOT_FOUND 1814 The specified resource name cannot be found in the image file.
ERROR_RESOURCE_LANG_NOT_FOUND 1815 The specified resource language ID cannot be found in the image file.
ERROR_NOT_ENOUGH_QUOTA 1816 Not enough quota is available to process this command.
ERROR_INVALID_TIME 1901 The specified time is invalid.
ERROR_INVALID_FORM_NAME 1902 The specified form name is invalid.
ERROR_INVALID_FORM_SIZE 1903 The specified form size is invalid.
ERROR_ALREADY_WAITING 1904 The specified printer handle is already being waited on.
ERROR_PRINTER_DELETED 1905 The specified printer has been deleted.
ERROR_INVALID_PRINTER_STATE 1906 The state of the printer is invalid.
ERROR_PASSWORD_MUST_CHANGE 1907 The user must change his or her password before logging on for the first time.
ERROR_DOMAIN_CONTROLLER_NOT_FOUN 1908 The domain controller for this domain could not be found.
ERROR_ACCOUNT_LOCKED_OUT 1909 The referenced account is currently locked out and may not be logged on to.
ERROR_NO_BROWSER_SERVERS_FOUND 6118 The list of servers for this workgroup is not currently available.
ERROR_INVALID_PIXEL_FORMAT 2000 The pixel format is invalid.
ERROR_BAD_DRIVER 2001 The specified driver is invalid.
ERROR_INVALID_WINDOW_STYLE 2002 The window style or class attribute is invalid for this operation.
ERROR_METAFILE_NOT_SUPPORTED 2003 The requested metafile operation is not supported.
ERROR_TRANSFORM_NOT_SUPPORTED 2004 The requested transformation operation is not supported.
ERROR_CLIPPING_NOT_SUPPORTED 2005 The requested clipping operation is not supported.
ERROR_UNKNOWN_PRINT_MONITOR 3000 The specified print monitor is unknown.
ERROR_PRINTER_DRIVER_IN_USE 3001 The specified printer driver is currently in use.
ERROR_SPOOL_FILE_NOT_FOUND 3002 The spool file was not found.
ERROR_SPL_NO_STARTDOC 3003 A StartDocPrinter call was not issued.
ERROR_SPL_NO_ADDJOB 3004 An AddJob call was not issued.
ERROR_PRINT_PROCESSOR_ALREADY_IN 3005 The specified print processor has already been installed.
ERROR_PRINT_MONITOR_ALREADY_INST 3006 The specified print monitor has already been installed.
ERROR_WINS_INTERNAL 4000 WINS encountered an error while processing the command.
ERROR_CAN_NOT_DEL_LOCAL_WINS 4001 The local WINS cannot be deleted.
ERROR_STATIC_INIT 4002 The importation from the file failed.
ERROR_INC_BACKUP 4003 The backup failed. Was a full backup done before?
ERROR_FULL_BACKUP 4004 The backup failed. Check the directory to which you are backing up the database.
ERROR_REC_NON_EXISTENT 4005 The name does not exist in the WINS database.
ERROR_RPL_NOT_ALLOWED 4006 Replication with an unconfigured partner is not allowed.



*)