unit nldlg32;

interface

uses SysUtils, WinTypes, WinProcs, Messages, Classes,
     Graphics, Controls, Forms, Dialogs, StdCtrls,
     ExtCtrls, Buttons;


Function MessageDlgPos(const Msg: String;
           AType: TMsgDlgType; Buttons: TMsgDlgButtons; HelpCtx: LongInt;
           X,Y: Integer): TModalResult;

Function MessageDlg(const Msg: String;
           AType: TMsgDlgType; Buttons: TMsgDlgButtons;
           HelpCtx: LongInt): TModalResult;

Function CustomMessageDlg(const Msg: String;
           const Title: String; AType: TMsgDlgType;
           dButtons: TMsgDlgButtons;
           HelpCtx: LongInt; X,Y: Integer): TModalResult;

function MessageDlgC(const Msg: string;
           AType: TMsgDlgType; Buttons: TMsgDlgButtons;
           HelpCtx: Longint): TModalResult;


var CenterDialogsOverMainForm: Boolean;

implementation



Function NLCreateMessage(const Msg: String;
           const Title: String; AType: TMsgDlgType;
           Buttons: TMsgDlgButtons; HelpCtx: LongInt;
           X,Y: Integer): TForm;
var i: integer;
begin
  Result := CreateMessageDialog(Msg,TMsgDlgType(AType),TMsgDlgButtons(Buttons));
  with Result do
  begin{with}
    if Title <> EmptyStr then Caption := Title;
    if X > -1 then Left := X;
    if Y > -1 then Top := Y;
    ScaleBy(Screen.PixelsPerInch,96);
    for i := 0 to ControlCount-1 do if Controls[i] is TButton then
    begin{for}
      if Pos('Yes',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := '&Ja';
      if Pos('No',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := '&Nee';
      if Pos('Cancel',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := '&Annuleer';
      if Pos('None',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := '&Geen';
      if Pos('Abort',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := 'Af&breken';
      if Pos('Retry',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := '&Opnieuw';
      if Pos('Ignore',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := 'Over&slaan';
      if Pos('All',TButton(Controls[i]).caption) > 0 then
         TButton(Controls[i]).Caption := 'A&lle(n)';
    end;{for}
  end{with}
end;


Function MessageDlgPos(const Msg: String;
           AType: TMsgDlgType; Buttons: TMsgDlgButtons;
           HelpCtx: LongInt; X,Y: Integer): TModalResult;
var Dlg: TForm;
    ATitle: String;
begin
  Case AType of
    mtWarning: ATitle := 'Waarschuwing';
    mtInformation: ATitle := 'Informatie';
    mtError: ATitle := 'Fout';
    mtConfirmation: ATitle := 'Bevestiging';
  end;
  Dlg := NlCreateMessage(Msg,ATitle,AType,Buttons,HelpCtx,X,Y);
  Result := Dlg.ShowModal;
  Dlg.Free;
end;

Function MessageDlg(const Msg: String;
           AType: TMsgDlgType; Buttons: TMsgDlgButtons;
           HelpCtx: LongInt): TModalResult;
//Dialoog wordt standaard gecentreerd t.o.v. Screen object
begin
  if CenterDialogsOverMainForm then
    Result := MessageDlgC(Msg,AType,Buttons,HelpCtx)
  else
    Result := MessageDlgPos(Msg,AType,Buttons,HelpCtx,-1,-1);
end;


function MessageDlgC(const Msg: string; AType: TMsgDlgType;
       Buttons: TMsgDlgButtons; HelpCtx: Longint): TModalResult;
//Centreer MessageDlg t.o.v. Application.MainForm (i.p.v. t.o.v. Screen object)
//Dank aan Matthijs Willemstein (op HCC PGG Delphi Forum)
var
  Dlg: TForm;
  ATop, ALeft, AWidth, AHeight: Integer;
  ATitle: String;
begin
  Case AType of
    mtWarning: ATitle := 'Waarschuwing';
    mtInformation: ATitle := 'Informatie';
    mtError: ATitle := 'Fout';
    mtConfirmation: ATitle := 'Bevestiging';
  end;
  Dlg := NlCreateMessage(Msg,ATitle,AType,Buttons,HelpCtx,-1,-1);
  if Application.MainForm <> nil then
  begin
    ATop := Application.MainForm.Top;
    ALeft := Application.MainForm.Left;
    AHeight := Application.MainForm.Height;
    AWidth := Application.MainForm.Width;
    Dlg.Top := ATop + (AHeight - Dlg.Height) div 2;
    Dlg.Left := ALeft + (AWidth - Dlg.Width) div 2;
    //Houdt dialoog zichtbaar
    if Dlg.Left + Dlg.Width > Screen.Width then Dlg.Left := Screen.Width - Dlg.Width;
    if Dlg.Top + Dlg.Height > Screen.Height then Dlg.Top := Screen.Height - Dlg.Height;
    if Dlg.Left < 0 then Dlg.Left := 0;
    if Dlg.Top < 0 then Dlg.Top := 0;
  end;
  Result := Dlg.ShowModal;
  Dlg.Free;
end;


Function CustomMessageDlg(const Msg: String;
           const Title: String; AType: TMsgDlgType;
           dButtons: TMsgDlgButtons;
           HelpCtx: LongInt; X,Y: Integer): TModalResult;
var ATitle: String;
    Dlg: TForm;
begin
  if Title = EmptyStr then
  begin
    Case AType of
      mtWarning: ATitle := 'Waarschuwing';
      mtInformation: ATitle := 'Informatie';
      mtError: ATitle := 'Fout';
      mtConfirmation: ATitle := 'Bevestiging';
    end;
  end
  else ATitle := Title;
  Dlg := NlCreateMessage(Msg,ATitle,AType,dButtons,HelpCtx,X,Y);
  Result := Dlg.ShowModal;
  Dlg.Free;
end;


Initialization
  CenterDialogsOverMainForm := True;
end.
